1. Forms
eLogii
  • Introduction
  • Entities
  • FAQs
  • Query parameters
  • Webhooks
  • Tasks
    • Task Elements
    • createOrUpdateMany
      POST
    • Get tasks
      GET
    • Create tasks
      POST
    • Delete tasks
      POST
    • Update a task
      PUT
    • Get Proof of Delivery
      GET
    • Cancel tasks
      POST
    • Post Tasks Create Return
      POST
    • Move tasks to another date
      POST
    • postTasksReattempt
      POST
    • Start tracking a task (webhook)
      POST
  • Drivers
    • Driver Elements
    • Get drivers
      GET
    • Create multiple drivers
      POST
    • Update drivers
      POST
    • Delete drivers
      POST
  • Customers
    • Customer Elements
    • Get customers
      GET
    • Create customers
      POST
    • Update customers
      POST
    • Delete customers
      POST
  • Depots
    • Depot Elements
    • Get depots
    • Create depots
    • Update depots
    • Delete depots
  • Driver-schedule-exceptions
    • Driver-schedule-exception elements
    • Get all exceptions
    • Get schedule exception for a specific driver
    • Update a schedule exception
    • Create multiple schedule exceptions
    • Delete multiple schedule exceptions
  • Route-template-groups
    • Route-template-groups elements
    • Get route template groups
    • Create a route-template-group
    • Update a route template group
    • Delete multiple route template groups
    • Schedule for dates
  • Routes
    • Route Elements
    • Get routes
    • Clear route(s)
    • Lock route(s)
    • Unlock route(s)
    • Set planned ETAs
    • Setting the task order
  • Task-template-groups
    • Task-template-groups Elements
    • Get task-template-groups
    • Create task-template-groups
    • Get one task-template-group by _id
    • Update task-template-group
    • Delete one task-template-group
    • Delete multiple task-template-groups
    • Schedule task-template-groups for dates
    • Add tasks to group
  • Vehicles
    • Vehicle Elements
    • Create multiple vehicles
    • Get vehicles
    • Update multiple vehicles
    • Delete multiple vehicles
  • Zones
    • Zones Elements
    • getZones
    • postZones
    • putZones_id
    • deleteZones_id
  • Optimization
    • Optimization Elements
    • Run optimization for provided data set
    • Run optimization for one or multiple dates
    • Run optimization for one or multiple existing routes
    • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
    • Run optimization for a date range
  • Forms
    • Get all forms
      GET
    • Create and design a form
      POST
    • Update many forms
      POST
    • Delete many forms
      POST
  • Form submissions
    • Get all form submissions
    • Get a specific form's submissions
    • Update many form submissions
    • Delete many form submissions
  1. Forms

Create and design a form

Production
https://api-35.elogii.com
Production
https://api-35.elogii.com
POST
/forms

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api-35.elogii.com/forms' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "externalId": "BC",
    "reference": "components",
    "name": "Basic Components",
    "description": "Contains all basic components",
    "design": {
        "id": "root",
        "components": [
            {
                "id": "text-1",
                "type": "text",
                "containerId": "root",
                "config": {
                    "type": "text",
                    "input": true,
                    "label": "Text Input",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "placeholder": "Enter text"
                    }
                }
            },
            {
                "id": "number-17",
                "type": "number",
                "containerId": "root",
                "config": {
                    "type": "number",
                    "input": true,
                    "label": "Number Input",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "type": "number",
                        "placeholder": "Enter number",
                        "min": 0,
                        "max": 100,
                        "step": 1,
                        "name": "number1"
                    }
                }
            },
            {
                "id": "password-17",
                "type": "password",
                "containerId": "root",
                "config": {
                    "type": "password",
                    "input": true,
                    "label": "Password",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "type": "password",
                        "placeholder": "Enter password",
                        "addonBefore": ""
                    }
                }
            },
            {
                "id": "email-17",
                "type": "email",
                "containerId": "root",
                "config": {
                    "type": "email",
                    "input": true,
                    "label": "Email Input",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "type": "email",
                        "placeholder": "Enter email",
                        "addonBefore": "@"
                    }
                }
            },
            {
                "id": "patternInput-17",
                "type": "patternInput",
                "containerId": "root",
                "config": {
                    "type": "patternInput",
                    "input": true,
                    "label": "Pattern Input",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "placeholder": "Enter text",
                        "pattern": "^[a-zA-Z0-9]+$"
                    }
                }
            },
            {
                "id": "textarea-1",
                "type": "textarea",
                "containerId": "root",
                "config": {
                    "type": "textarea",
                    "input": true,
                    "label": "Text Area",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "placeholder": "Enter long text",
                        "rows": 4
                    }
                }
            },
            {
                "id": "multiSelect-17",
                "type": "multiSelect",
                "containerId": "root",
                "config": {
                    "type": "multiSelect",
                    "input": true,
                    "label": "Multi Select",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "placeholder": "Select options",
                        "mode": "multiple",
                        "options": [
                            {
                                "label": "Option 1",
                                "value": "1"
                            },
                            {
                                "label": "Option 2",
                                "value": "2"
                            },
                            {
                                "label": "Option 3",
                                "value": "3"
                            }
                        ]
                    }
                }
            },
            {
                "id": "select-17",
                "type": "select",
                "containerId": "root",
                "config": {
                    "type": "select",
                    "input": true,
                    "label": "Select",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "placeholder": "Select option",
                        "options": [
                            {
                                "label": "Option 1",
                                "value": "1"
                            },
                            {
                                "label": "Option 2",
                                "value": "2"
                            }
                        ]
                    }
                }
            },
            {
                "id": "radio-17",
                "type": "radio",
                "containerId": "root",
                "config": {
                    "type": "radio",
                    "input": true,
                    "label": "Radio Group",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "buttonStyle": "solid",
                        "options": [
                            {
                                "label": "Group1",
                                "value": "1"
                            },
                            {
                                "label": "Group2",
                                "value": "2"
                            }
                        ]
                    }
                }
            },
            {
                "id": "checkbox-1",
                "type": "checkbox",
                "containerId": "root",
                "config": {
                    "type": "checkbox",
                    "input": true,
                    "label": "Checkbox Group",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "options": [
                            {
                                "label": "Option 1",
                                "value": "1"
                            },
                            {
                                "label": "Option 2",
                                "value": "2"
                            }
                        ]
                    }
                }
            },
            {
                "id": "switch-17",
                "type": "switch",
                "containerId": "root",
                "config": {
                    "type": "switch",
                    "input": true,
                    "label": "Switch",
                    "attributes": {
                        "required": false,
                        "disabled": false
                    }
                }
            },
            {
                "id": "rating-17",
                "type": "rating",
                "containerId": "root",
                "config": {
                    "type": "rating",
                    "input": true,
                    "label": "Rating",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "allowClear": true,
                        "allowHalf": true,
                        "count": 5
                    }
                }
            },
            {
                "id": "slider-16",
                "type": "slider",
                "containerId": "root",
                "config": {
                    "type": "slider",
                    "input": true,
                    "label": "Slider",
                    "showMarks": true,
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "min": 0,
                        "max": 100,
                        "step": 10,
                        "dots": true
                    }
                }
            },
            {
                "id": "rangeSlider-17",
                "type": "rangeSlider",
                "containerId": "root",
                "config": {
                    "type": "rangeSlider",
                    "input": true,
                    "label": "Range Slider",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "min": 0,
                        "max": 100,
                        "step": 10,
                        "range": true,
                        "dots": true,
                        "defaultValue": [
                            20,
                            50
                        ]
                    }
                }
            },
            {
                "id": "datePicker-17",
                "type": "datePicker",
                "containerId": "root",
                "config": {
                    "type": "datePicker",
                    "input": true,
                    "label": "Date",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "format": "YYYY-MM-DD"
                    }
                }
            },
            {
                "id": "dateRangePicker-17",
                "type": "dateRangePicker",
                "containerId": "root",
                "config": {
                    "type": "dateRangePicker",
                    "input": true,
                    "label": "Date Range",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "format": "YYYY-MM-DD"
                    }
                }
            },
            {
                "id": "timePicker-17",
                "type": "timePicker",
                "containerId": "root",
                "config": {
                    "type": "timePicker",
                    "input": true,
                    "label": "Time",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "format": "HH:mm"
                    }
                }
            }
        ]
    }
}'
Response Response Example
Basic Components
{
    "organization": "64706d34cb58b5e134516000",
    "path": "64706d34cb58b5e134516000",
    "externalId": "BC",
    "reference": "components",
    "name": "Basic Components",
    "description": "Contains all basic components",
    "tags": [],
    "history": [
        {
            "data": {
                "event": "created"
            },
            "actor": {
                "requestId": "1771973803971:ip-10-0-160-220.eu-west-1.compute.internal:31630:mm0yhpo6:21934",
                "organizationId": "64706d34cb58b5e134516000",
                "organizationSlug": "test",
                "userId": "66fc54c4b131823ed5e710bc",
                "userType": 30,
                "userLevel": 30,
                "action": "Forms.create",
                "internal": true
            }
        }
    ],
    "design": {
        "id": "root",
        "components": [
            {
                "id": "text-1",
                "type": "text",
                "containerId": "root",
                "config": {
                    "type": "text",
                    "input": true,
                    "label": "Text Input",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "placeholder": "Enter text"
                    }
                }
            },
            {
                "id": "number-17",
                "type": "number",
                "containerId": "root",
                "config": {
                    "type": "number",
                    "input": true,
                    "label": "Number Input",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "type": "number",
                        "placeholder": "Enter number",
                        "min": 0,
                        "max": 100,
                        "step": 1,
                        "name": "number1"
                    }
                }
            },
            {
                "id": "password-17",
                "type": "password",
                "containerId": "root",
                "config": {
                    "type": "password",
                    "input": true,
                    "label": "Password",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "type": "password",
                        "placeholder": "Enter password",
                        "addonBefore": ""
                    }
                }
            },
            {
                "id": "email-17",
                "type": "email",
                "containerId": "root",
                "config": {
                    "type": "email",
                    "input": true,
                    "label": "Email Input",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "type": "email",
                        "placeholder": "Enter email",
                        "addonBefore": "@"
                    }
                }
            },
            {
                "id": "patternInput-17",
                "type": "patternInput",
                "containerId": "root",
                "config": {
                    "type": "patternInput",
                    "input": true,
                    "label": "Pattern Input",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "placeholder": "Enter text",
                        "pattern": "^[a-zA-Z0-9]+$"
                    }
                }
            },
            {
                "id": "textarea-1",
                "type": "textarea",
                "containerId": "root",
                "config": {
                    "type": "textarea",
                    "input": true,
                    "label": "Text Area",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "placeholder": "Enter long text",
                        "rows": 4
                    }
                }
            },
            {
                "id": "multiSelect-17",
                "type": "multiSelect",
                "containerId": "root",
                "config": {
                    "type": "multiSelect",
                    "input": true,
                    "label": "Multi Select",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "placeholder": "Select options",
                        "mode": "multiple",
                        "options": [
                            {
                                "label": "Option 1",
                                "value": "1"
                            },
                            {
                                "label": "Option 2",
                                "value": "2"
                            },
                            {
                                "label": "Option 3",
                                "value": "3"
                            }
                        ]
                    }
                }
            },
            {
                "id": "select-17",
                "type": "select",
                "containerId": "root",
                "config": {
                    "type": "select",
                    "input": true,
                    "label": "Select",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "placeholder": "Select option",
                        "options": [
                            {
                                "label": "Option 1",
                                "value": "1"
                            },
                            {
                                "label": "Option 2",
                                "value": "2"
                            }
                        ]
                    }
                }
            },
            {
                "id": "radio-17",
                "type": "radio",
                "containerId": "root",
                "config": {
                    "type": "radio",
                    "input": true,
                    "label": "Radio Group",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "buttonStyle": "solid",
                        "options": [
                            {
                                "label": "Group1",
                                "value": "1"
                            },
                            {
                                "label": "Group2",
                                "value": "2"
                            }
                        ]
                    }
                }
            },
            {
                "id": "checkbox-1",
                "type": "checkbox",
                "containerId": "root",
                "config": {
                    "type": "checkbox",
                    "input": true,
                    "label": "Checkbox Group",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "options": [
                            {
                                "label": "Option 1",
                                "value": "1"
                            },
                            {
                                "label": "Option 2",
                                "value": "2"
                            }
                        ]
                    }
                }
            },
            {
                "id": "switch-17",
                "type": "switch",
                "containerId": "root",
                "config": {
                    "type": "switch",
                    "input": true,
                    "label": "Switch",
                    "attributes": {
                        "required": false,
                        "disabled": false
                    }
                }
            },
            {
                "id": "rating-17",
                "type": "rating",
                "containerId": "root",
                "config": {
                    "type": "rating",
                    "input": true,
                    "label": "Rating",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "allowClear": true,
                        "allowHalf": true,
                        "count": 5
                    }
                }
            },
            {
                "id": "slider-16",
                "type": "slider",
                "containerId": "root",
                "config": {
                    "type": "slider",
                    "input": true,
                    "label": "Slider",
                    "showMarks": true,
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "min": 0,
                        "max": 100,
                        "step": 10,
                        "dots": true
                    }
                }
            },
            {
                "id": "rangeSlider-17",
                "type": "rangeSlider",
                "containerId": "root",
                "config": {
                    "type": "rangeSlider",
                    "input": true,
                    "label": "Range Slider",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "min": 0,
                        "max": 100,
                        "step": 10,
                        "range": true,
                        "dots": true,
                        "defaultValue": [
                            20,
                            50
                        ]
                    }
                }
            },
            {
                "id": "datePicker-17",
                "type": "datePicker",
                "containerId": "root",
                "config": {
                    "type": "datePicker",
                    "input": true,
                    "label": "Date",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "format": "YYYY-MM-DD"
                    }
                }
            },
            {
                "id": "dateRangePicker-17",
                "type": "dateRangePicker",
                "containerId": "root",
                "config": {
                    "type": "dateRangePicker",
                    "input": true,
                    "label": "Date Range",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "format": "YYYY-MM-DD"
                    }
                }
            },
            {
                "id": "timePicker-17",
                "type": "timePicker",
                "containerId": "root",
                "config": {
                    "type": "timePicker",
                    "input": true,
                    "label": "Time",
                    "attributes": {
                        "required": false,
                        "disabled": false,
                        "format": "HH:mm"
                    }
                }
            }
        ]
    },
    "_id": "699e2cab7a8607ada3dde988",
    "uid": "FORM-QROO4NK7",
    "createdAt": "2026-02-24T22:56:43.977Z",
    "updatedAt": "2026-02-24T22:56:43.977Z",
    "__v": 0
}
Modified at 2026-02-25 00:37:45
Previous
Get all forms
Next
Update many forms
Built with